### Function

# GLib Sequence sort_changed

since: 2.14

#### Declaration

    void
    g_sequence_sort_changed (
      GSequenceIter* iter,
      GCompareDataFunc cmp_func,
      gpointer cmp_data
    )

#### Description

Moves the data pointed to by `iter` to a new position as indicated by `cmp_func`. This function should be called for items in a sequence already sorted according to `cmp_func` whenever some aspect of an item changes so that `cmp_func` may return different values for that item.

`cmp_func` is called with two items of the `seq`, and `cmp_data`. It should return 0 if the items are equal, a negative value if the first item comes before the second, and a positive value if the second item comes before the first.

Available since: 2.14

#### Parameters

`iter`

  Type: `GSequenceIter`

  A `GSequenceIter`.

  The data is owned by the caller of the function.

`cmp_func`

  Type: `GCompareDataFunc`

  The function used to compare items in the sequence.

`cmp_data`

  Type: `gpointer`

  User data passed to `cmp_func`.

  The argument can be `NULL`.
  The data is owned by the caller of the function.